 
%Replicates Table A1 in the unpublished appendix. The tabulated results are the
%p-Values from calling the function lbqtest.

%Corresponds to the results in column 1 of Table A1
SB0 = xlsread('stdprederr.xlsx','Sheet1','B2:B214')
[h,pValue,stat,cValue]=lbqtest(SB0,1:8,0.05)
[h,pValue,stat,cValue]=lbqtest(SB0.^2,1:8,0.05)

%Corresponds to the results in column 2 of Table A1
SB1 = xlsread('stdprederr.xlsx','Sheet1','C2:C214')
[h,pValue,stat,cValue]=lbqtest(SB1,1:8,0.05)
[h,pValue,stat,cValue]=lbqtest(SB1.^2,1:8,0.05)

%Corresponds to the results in column 3 of Table A1
SB2 = xlsread('stdprederr.xlsx','Sheet1','D2:D214')
[h,pValue,stat,cValue]=lbqtest(SB2,1:8,0.05)
[h,pValue,stat,cValue]=lbqtest(SB2.^2,1:8,0.05)

%Replicates Table A2 in the unpublished appendix. The full sample is split up 
%into two subsamples: 1954Q3 - 1979Q4 and 1984Q1 - 2007Q3. The tablulated results 
%are the p-Values from calling the function lbqtest.

%Corresponds to the results in column 2 of Table A2 (Sample: 1954Q3 - 1979Q4)

SB2_1 = xlsread('stdprederr.xlsx','Sheet1','D2:D103')
[h,pValue,stat,cValue]=lbqtest(SB2_1,1:8,0.05)
[h,pValue,stat,cValue]=lbqtest(SB2_1.^2,1:8,0.05)
 
%Corresponds to the results in column 3 of Table A2 (Sample: 1984Q1 - 2007Q3)

SB2_2 = xlsread('stdprederr.xlsx','Sheet1','D120:D214')
[h,pValue,stat,cValue]=lbqtest(SB2_2,1:8,0.05)
[h,pValue,stat,cValue]=lbqtest(SB2_2.^2,1:8,0.05)

%Replicates Table A4 in the unpublished appendix. The tablulated results are
%the p-Values from calling the function lbqtest.

MSM2 = xlsread('stdprederr.xlsx','Sheet1','E2:E214')
[h,pValue,stat,cValue]=lbqtest(MSM2,1:8,0.05)
[h,pValue,stat,cValue]=lbqtest(MSM2.^2,1:8,0.05)

