%MATLAB code to generate Figures 1-4. The data file graphs.xlsx
%contains output from running the GAUSS program files
%UCconstrained1_SB2.prg and UCconstrained2_SB2.prg.

%Figure 1
figure;
clf;
qtr = xlsread('graphs.xlsx','Sheet1','A2:A214')
regimes = xlsread('graphs.xlsx','Sheet1','B:D,2:214')
set(0,'DefaultAxesColorOrder',[0 0 0],...
      'DefaultAxesLineStyleOrder','-.|-|--|:')
plot(qtr,regimes,'LineWidth',1)
axis([1950 2010 0 1.1])
legend('Regime 1', 'Regime 2', 'Regime 3', 4)

%Figure 2
figure;
clf;
infl = xlsread('graphs.xlsx','Sheet1','E2:E214')
trendinfl = xlsread('graphs.xlsx','Sheet1','F2:F214')
confint = xlsread('graphs.xlsx','Sheet1','G:H,2:214')
set(0,'DefaultAxesColorOrder',[0 0 0],...
      'DefaultAxesLineStyleOrder','-|-|-.|-.')
plot(qtr,trendinfl, '-','LineWidth',1.5)
hold on
plot(qtr,infl,'-','LineWidth',1)
hold on
plot(qtr,confint,'-.','LineWidth',1)
legend('Trend Inflation','Actual Inflation','90% Confidence Bands')

%Figure 3
figure;
clf;
inflcycle = xlsread('graphs.xlsx','Sheet1','I2:I214')
inflgap = xlsread('graphs.xlsx','Sheet1','J2:J214')
set(0,'DefaultAxesColorOrder',[0 0 0],...
      'DefaultAxesLineStyleOrder','-|-|-|:')
plot(qtr,inflcycle,'-','LineWidth',1.5)
hold on
plot(qtr,inflgap, '-','LineWidth',.8)
legend('Inflation Cycle','Inflation Gap')
shadenber

%Figure 4
figure;
clf;
trendinfl1 = xlsread('graphs.xlsx','Sheet1','K2:K214')
set(0,'DefaultAxesColorOrder',[0 0 0],...
      'DefaultAxesLineStyleOrder','-|-|-.|-.')
plot(qtr,trendinfl1, '-','LineWidth',1.5)
hold on
plot(qtr,infl,'-','LineWidth',.8)
legend('Trend Inflation','Actual Inflation')